<?php
if(count(get_included_files()) ==1) exit("Direct access not permitted.");
if(!$statuslogin) exit;
$mod = basename(__FILE__, '.php');
$page->tbJs($mod);
if(isset($_GET['id'])){
	$id=strip_tags(stripslashes($_GET['id']));
	$page->setJudul("Input Data Pendidikan Baru");
	$nama="";
	$idjenis="";
	if($id>0){
		$idjenis=$id;
		$page->setJudul("Edit Data Pendidikan");
		$query="SELECT * FROM tb_master_pendidikan 
			WHERE id=?";
		$rs=$db->loadAssoc($query,array($id));
		if(isset($rs['id'])){
			$nama=$rs['nama'];
			$idjenis=$rs['id'];
		}
	}
	$page->addLoad("masterpendidikan.edit($id)");
	
	if($id<=0){
		$query="select max(id) as id from tb_master_pendidikan where id>0";
		$rsid=$db->loadAssoc($query);
		if(isset($rsid['id'])){
			$idjenis=$rsid['id']+1;
		}
	}
	?>
	<div class="box_main_konten">
		<div class="group_form">
			<title>ID/Kode</title>
			<div class="col10"><input id="idjenis" value="<?php echo $idjenis;?>" />
				
			</div>
		</div>
		<div class="group_form">
			<title>Data Pendidikan</title>
			<div class="col10"><input id="nama" value="<?php echo $nama;?>" />
				
			</div>
		</div>
		<div style="clear: both;"></div>
	</div>
	<div class="box_button_bawah">
		<div id="loader_level_err" class="error"></div>
		<span class="btmerah btncancel" onclick="masterpendidikan.kembali()">Kembali</span>&nbsp;&nbsp;<span onclick="masterpendidikan.simpan()" class="bthijau btnsave">Simpan</span>
	</div>
	<?php
}else{
	$page->addLoad("masterpendidikan.load()");
	$page->setJudul("Master Data Pendidikan");
	?>
	<div class="box_button_atas">
		Jumlah baris: <select id="jumlah_hal" class="slkecil" onchange="masterpendidikan.loade()">
			<option value="30">30</option>
			<option value="50">50</option>
			<option value="100">100</option>
		</select> &nbsp;
		Hal: <select id="hal_ke" class="slkecil" onchange="masterpendidikan.load()"><option value="1">1</option></select>
		&nbsp;<input placeholder="Default: Data Pendidikan" onkeypress="masterpendidikan.enter(event)" id="cari" class="in_cari" />
		&nbsp;&nbsp;<span id="btcari" class="btnone btncari" onclick="masterpendidikan.loade()">Cari</span>
		&nbsp;&nbsp;<span class="btnone btncanggih" onclick="masterpendidikan.caricanggih()">Cari Detail</span>
	</div>
	<div id="grid_masterpendidikan"></div>
	<div class="box_button_bawah">
		<span onclick="masterpendidikan.buat(0)" class="bthijau btninput">Tambah Data Data Pendidikan Baru</span>
	</div>
	<div id="btedit" style="display:none;">
		<span class="icon_del" onclick="masterpendidikan.hapus(#{id})"></span>
		<span class="icon_edit" onclick="masterpendidikan.buat(#{id})"></span>
	</div>
	<span id="btstatus" style="display: none" class="#(#{status}==1)?'mini_ok':'mini_dis'#" onclick="masterpendidikan.setstatus(#{id},##{jumlah_tabel},##{baris_tabel},this)"></span>
	
	<?php
}
?>
